import pygame
from pygame.locals import *
import math

import tools

class Enemy(pygame.sprite.Sprite):
    speed = 5

    def __init__(self, time, image, pos, move_type):
        pygame.sprite.Sprite.__init__(self, self.containers)
        self.frame = 0
        self.time = time
        self.image = tools.load_image("data/enemy", image + ".png", -1)
        self.rect = self.image.get_rect()
        self.rect.center = pos
        self.move_type = move_type
        self.exist = False

    def update(self):
        self.frame += 1
        if self.frame > self.time:
            self.exist = True

        if self.exist == True:
            if self.move_type == 0:
                self.rect.move_ip(-2, 0)
                if self.rect.center[0] < -32:
                    self.kill()

    def draw(self, screen):
        screen.blit(self.image, self.rect)
